Skip to main content
GET
/
api
/
address
/
list
List Addresses
curl --request GET \
  --url https://app.dimepayments.com/api/address/list \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "data": []
}'
{
  "data": [
    [
      {
        "id": 1,
        "recipient": null,
        "line_one": "",
        "line_two": null,
        "line_three": null,
        "city": "",
        "state": "",
        "zip": ""
      },
      {
        "id": 1,
        "recipient": null,
        "line_one": "",
        "line_two": null,
        "line_three": null,
        "city": "",
        "state": "",
        "zip": ""
      }
    ]
  ]
}

Authorizations

Authorization
string
header
required

You can retrieve your token by visiting your dashboard and clicking Generate API token under your profile in top right.

Body

application/json
data
object
Example:
[]

Response

data
array[]
Example:
[
[
{
"id": 1,
"recipient": null,
"line_one": "",
"line_two": null,
"line_three": null,
"city": "",
"state": "",
"zip": ""
},
{
"id": 1,
"recipient": null,
"line_one": "",
"line_two": null,
"line_three": null,
"city": "",
"state": "",
"zip": ""
}
]
]